
package com.tessier.continuity;

import java.util.Locale;
import java.security.Principal;
import java.net.Socket;
import java.io.InputStream;
import java.util.Iterator;

import javax.servlet.http.Cookie;
import javax.servlet.ServletInputStream;
import javax.servlet.ServletRequest;

import org.apache.catalina.HttpRequest;
import org.apache.catalina.Context;
import org.apache.catalina.Connector;
import org.apache.catalina.Wrapper;
import org.apache.catalina.Response;

/**
 * Implementation of <b>HttpRequest</b> specific to the
 * Continuity catalina connector.
 *
 * @author Alex Leigh
 * @version $Revision: 1.3 $ $Date: 2003/02/11 23:30:12 $
 */
final public class ContHttpRequest implements HttpRequest {

  public void addCookie(Cookie cookie) {}
  public void addHeader (String name, String value) {}
  public void addLocale(Locale locale) {}
  public void addParameter(String name, String[] values) {}
  public void clearCookies() {}
  public void clearHeaders() {}
  public void clearLocales() {}
  public void clearParameters() {}
  public String getDecodedRequestURI() {return null;}
  public void setAuthType(String type) {}
  public void setContextPath(String path) {}
  public void setDecodedRequestURI(String uri) {}
  public void setMethod(String method) {}
  public void setPathInfo(String path) {}
  public void setQueryString(String query) {}
  public void setRequestedSessionCookie(boolean flag) {}
  public void setRequestedSessionId(String id) {}
  public void setRequestedSessionURL(boolean flag) {}
  public void setRequestURI(String uri) {}
  public void setServletPath(String path) {}
  public void setUserPrincipal(Principal principal) {}

  public ServletInputStream createInputStream() {return null;}
  public void finishRequest() {}
  public String getAuthorization(){return null;}
  public Connector getConnector(){return null;}
  public Context getContext(){return null;}
  public String getInfo(){return null;}
  public Object getNote(String name){return null;}
  public Iterator getNoteNames(){return null;}
  public ServletRequest getRequest(){return null;}
  public Response getResponse(){return null;}
  public Socket getSocket(){return null;}
  public InputStream getStream(){return null;}
  public Wrapper getWrapper(){return null;}
  public void recycle(){}
  public void removeNote(String name){}
  public void setAuthorization(String authorization){}
  public void setConnector(Connector connector){}
  public void setContentLength(int length){}
  public void setContentType(String type){}
  public void setContext(Context context){}
  public void setNote(String name, Object value){}
  public void setProtocol(String protocol){}
  public void setRemoteAddr(String remote){}
  public void setResponse(Response response){}
  public void setScheme(String scheme){}
  public void setSecure(boolean secure){}
  public void setServerName(String name){}
  public void setServerPort(int port){}
  public void setSocket(Socket socket){}
  public void setStream(InputStream stream){}
  public void setWrapper(Wrapper wrapper){}
}
